"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAutomaticallyIgnoredBuilds = getAutomaticallyIgnoredBuilds;
const path_1 = __importDefault(require("path"));
const modules_yaml_1 = require("@pnpm/modules-yaml");
async function getAutomaticallyIgnoredBuilds(opts) {
    const modulesManifest = await (0, modules_yaml_1.readModulesManifest)(opts.modulesDir ?? path_1.default.join(opts.lockfileDir ?? opts.dir, 'node_modules'));
    if (modulesManifest == null) {
        return null;
    }
    return modulesManifest?.ignoredBuilds ?? [];
}
//# sourceMappingURL=getAutomaticallyIgnoredBuilds.js.map